<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Projects|Project Management">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to enforce a network range." /><title>Restricting a Project to a Network Range</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#05-projects/enforcing-network-range.html">Open topic with navigation</a>
        </p>
        <h2>Restricting a Project to a Network Range</h2>
        <p>You can restrict the <a name="kanchor29"></a>network range to enforce network boundaries on a project. When you restrict a project to a network range, you cannot run any tasks unless the target addresses fall within network range that you define. 
</p>
        <p>For example, if you have a client who wants you to test a specific network range, you can set the network range and restrict the project to it to ensure that you do not accidentally target any devices that are outside of that range. </p>
        <ol data-mc-continue="true">
            <li value="1">Select <b class="UISelection">Project &gt; Show All Projects</b> from the Main menu. </li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-show-all-projects_469x50.png" title="Show All Projects" alt="Show All Projects" style="width: 469;height: 50;" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">Select a project and click the <b class="UISelection">Settings </b>button. </li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-settings-button_356x246.png" title="Project Settings button" alt="Project Settings button" style="width: 356;height: 246;" />
        </p>
        <ol data-mc-continue="true">
            <li value="3">In the <b class="UISelection">Network range</b> field, enter the network range that you want to restrict the project to. You can enter a single IP address, an IP range described with hyphens, or a standard CIDR notation. If you define a CIDR notation, you can use an asterisk as a wild card. For example 192.168.184.* indicates 192.168.184.1-255.</li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-set-network-range_501x194.png" title="Network Range" alt="Network Range" style="width: 501;height: 194;" />
        </p>
        <ol data-mc-continue="true">
            <li value="4">Select the<b class="UISelection"> Restrict to Network Range</b> option. </li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-settings-restriction-option_498x197.png" title="Network Restriction option" alt="Network Restriction option" style="width: 498;height: 197;" />
        </p>
        <ol data-mc-continue="true">
            <li value="5">Click the <b class="UISelection">Update Project</b> button. </li>
        </ol>
    </body>
</html>